package Ensembl.artemis;
final public class FeatureDefinitionHolder
	implements org.omg.CORBA.portable.Streamable
{
	public Ensembl.artemis.FeatureDefinition value;

	public FeatureDefinitionHolder ()
	{
	}
	public FeatureDefinitionHolder (Ensembl.artemis.FeatureDefinition initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return Ensembl.artemis.FeatureDefinitionHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream _in)
	{
		value = Ensembl.artemis.FeatureDefinitionHelper.read(_in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream _out)
	{
		Ensembl.artemis.FeatureDefinitionHelper.write(_out,value);
	}
}
